using System.Collections.Generic;

namespace AyaNova.Api.ControllerHelpers
{
    internal static class UserLocaleIdFromContext
    {
        internal static long Id(IDictionary<object, object> HttpContextItems)
        {
            long? l = (long?)HttpContextItems["AY_LOCALE_ID"];
            if (l == null)
                return AyaNova.Util.ServerBootConfig.AYANOVA_DEFAULT_LANGUAGE_ID;
            return (long)l;
        }
    }
}//eons